/* ==================== Mobile-Small-Size ==================== */
@media (min-width: 320px) and (max-width: 374.98px) {
    body .sub-body {
        position: relative;
        width: 95%;
    }

    #header-top-part .header-top {
        display: block;
        padding: 5px;
    }

    #header-top-part .header-top .date,
    #header-top-part .header-top .login-panel {
        width: auto;
        text-align: center;
    }

    #header-part{
        margin: 10px 5px 0 5px;
    }

    #header-part .header {
        display: grid;
    }

    #header-part .header .institute-name-motto{
        width: 100%;
    }

    #header-part .header .institute-name-motto .institute-name{
        font-size: 30px !important;
        margin-bottom: auto !important;
    }

    #header-part .header .institute-name-motto .institute-motto{
        font-size: 12px !important;
    }

    #header-part .header .institute-eiin-code,
    #homepage-part .homepage .news {
        display: none;
    }

    #header-part .header .logo {
        width: auto;
    }

    #header-part .header .logo img {
        width: 30% !important;
    }

    #nav-part{
        margin: 0;
    }

    #nav-part .nav {
        display: none;
    }

    #mobile-only-toggler {
        display: block;
        width: 90%;
        padding: 15px 5%;
        position: absolute;
        top: 0;
    }

    #mobileMenuToggle {
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: var(--universal_bg1);;
        text-align: left;
    }

    #mobile-only-toggler .mobile-menu-content.active {
        display: block;
        transition: all 0.3s ease;
        z-index: 1;
    }

    #mobile-only-toggler .mobile-menu-content li {
        width: 100%;
        position: relative;
        border-top: 1px solid rgba(255,255,255,0.1);
    }

    #mobile-only-toggler .mobile-menu-content a {
        display: block;
        padding: 8px 10px;
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content li ul {
        display: none;
        margin-left: 20px;
    }

    #mobile-only-toggler .mobile-menu-content li.active > ul {
        display: block;
    }

    #mobile-only-toggler .dropdown-toggle {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        padding: 8px 10px;
        color: #ffffff;
        border-left: 1px solid rgba(255,255,255,0.1);
        cursor: pointer;
    }

    #notice-part{
        margin: 10px 5px 0 5px;
    }

    #notice-part .notice {
        display: flex;
        align-items: center;
    }

    #homepage-part .homepage {
        display: grid;
        gap: 1%;
        margin: 10px 5px 0 5px;
    }

    #homepage-part .homepage .head,
    #homepage-part .homepage .slider {
        width: auto;
    }

    #homepage-part .homepage .head-content {
        height: 200px;
    }

    #homepage-part .homepage .head-content .head-image {
        width: 120px;
        height: 120px;
        margin: 10px auto;
    }

    #homepage-part .homepage .head-content .head-designation{
        margin-top: 5px;
    }

    #homepage-part .homepage .slider-content {
        height: 200px;
    }

    #homepage-part .homepage .left-homepage,
    #homepage-part .homepage .right-homepage,
    #homepage-part .homepage .counter-left-homepage,
    #homepage-part .homepage .counter-right-homepage .teacher, 
    #homepage-part .homepage .counter-right-homepage .staff, 
    #homepage-part .homepage .counter-right-homepage .student, 
    #homepage-part .homepage .counter-right-homepage .building {
        width: auto;
    }

    #homepage-part .homepage .counter-right-homepage {
        width: auto;
        flex-wrap: wrap;
        gap: 2%;
        justify-content: space-between;
    }

    #homepage-part .homepage .counter-right-homepage > div {
        flex: 0 0 49%;
        max-width: 49%;
        box-sizing: border-box;
    }

    #homepage-part .homepage .counter-right-homepage .count {
        height: 120px;
    }

    #footer-part .footer {
        display: grid;
        gap: 1%;
        height: auto;
        padding: 10px 5px 15px 5px;
    }

    #footer-part .footer .institute-visitor-counter,
    #footer-part .footer .google-map,
    #footer-part .footer .contact {
        width: auto;
    }

    #content-part .category-breadcrumb{
        margin: 10px 5px 5px;
    }

    #content-part .content{
        margin: 0 5px;
    }

    #content-part .content .post-part .post-header .universal2,
    #content-part .content .post-part .post-content a{
        width: 60% !important;
    }

    #content-part .content .post-meta{
    margin-bottom: 5px;
    }

    #content-part .content .post-body{
        display: grid;
        gap: 1%;
    }

    #content-part .content .post-body .post-body-left{
        width: auto;
        padding: 5px;
    }

    .pdf-embedder-toolbar-top,
    .pdf-embedder-toolbar-bottom {
        padding: 5px;
        align-items: center;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-right,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-right {
        display: grid;
        gap: 1%;
    }

    .pdf-embedder-toolbar-top button, 
    .pdf-embedder-toolbar-bottom button {
        padding: 2px 5px 0px;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-middle, 
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-middle {
        margin: 0 5px;
    }

    #content-part .content .post-body .post-body-right {
        width: auto;
        padding: 5px;
    }
}

/* ==================== Mobile-Medium-Size ==================== */
@media (min-width: 375px) and (max-width: 424.98px) {
    body .sub-body {
        position: relative;
        width: 95%;
    }

    #header-top-part .header-top {
        display: block;
        padding: 5px;
    }

    #header-top-part .header-top .date,
    #header-top-part .header-top .login-panel {
        width: auto;
        text-align: center;
    }

    #header-part {
        margin: 10px 5px 0 5px;
    }

    #header-part .header {
        display: grid;
    }

    #header-part .header .institute-name-motto{
        width: 100%;
    }

    #header-part .header .institute-name-motto .institute-name{
        font-size: 35px !important;
        margin-bottom: auto !important;
    }

    #header-part .header .institute-name-motto .institute-motto{
        font-size: 14px !important;
    }

    #header-part .header .institute-eiin-code,
    #homepage-part .homepage .news {
        display: none;
    }

    #header-part .header .logo {
        width: auto;
    }

    #header-part .header .logo img {
        width: 30% !important;
    }

    #nav-part {
        margin: 0;
    }

    #nav-part .nav {
        display: none;
    }

    #mobile-only-toggler {
        display: block;
        width: 90%;
        padding: 15px 5%;
        position: absolute;
        top: 0;
    }

    #mobileMenuToggle {
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: var(--universal_bg1);;
        text-align: left;
    }

    #mobile-only-toggler .mobile-menu-content.active {
        display: block;
        transition: all 0.3s ease;
        z-index: 1;
    }

    #mobile-only-toggler .mobile-menu-content li {
        width: 100%;
        position: relative;
        border-top: 1px solid rgba(255,255,255,0.1);
    }

    #mobile-only-toggler .mobile-menu-content a {
        display: block;
        padding: 8px 10px;
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content li ul {
        display: none;
        margin-left: 20px;
    }

    #mobile-only-toggler .mobile-menu-content li.active > ul {
        display: block;
    }

    #mobile-only-toggler .dropdown-toggle {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        padding: 8px 10px;
        color: #ffffff;
        border-left: 1px solid rgba(255,255,255,0.1);
        cursor: pointer;
    }

    #notice-part {
        margin: 10px 5px 0 5px;
    }

    #notice-part .notice {
        display: flex;
        align-items: center;
    }

    #homepage-part .homepage {
        display: grid;
        gap: 1%;
        margin: 10px 5px 0 5px;
    }

    #homepage-part .homepage .head,
    #homepage-part .homepage .slider {
        width: auto;
    }

    #homepage-part .homepage .head-content {
        height: 200px;
    }

    #homepage-part .homepage .head-content .head-image {
        width: 120px;
        height: 120px;
        margin: 10px auto;
    }

    #homepage-part .homepage .head-content .head-designation{
        margin-top: 5px;
    }

    #homepage-part .homepage .slider-content {
        height: 200px;
    }

    #homepage-part .homepage .left-homepage .national-day img {
        width: 80% !important;
    }

    #homepage-part .homepage .left-homepage,
    #homepage-part .homepage .right-homepage,
    #homepage-part .homepage .counter-left-homepage,
    #homepage-part .homepage .counter-right-homepage .teacher, 
    #homepage-part .homepage .counter-right-homepage .staff, 
    #homepage-part .homepage .counter-right-homepage .student, 
    #homepage-part .homepage .counter-right-homepage .building {
        width: auto;
    }

    #homepage-part .homepage .counter-right-homepage {
        width: auto;
        flex-wrap: wrap;
        gap: 2%;
        justify-content: space-between;
    }

    #homepage-part .homepage .counter-right-homepage > div {
        flex: 0 0 49%;
        max-width: 49%;
        box-sizing: border-box;
    }

    #homepage-part .homepage .counter-right-homepage .count {
        height: 120px;
    }

    #footer-part .footer {
        display: grid;
        gap: 1%;
        height: auto;
        padding: 10px 5px 15px 5px;
    }

    #footer-part .footer .institute-visitor-counter,
    #footer-part .footer .google-map,
    #footer-part .footer .contact {
        width: auto;
    }

    #content-part .category-breadcrumb{
        margin: 10px 5px 5px;
    }

    #content-part .content{
        margin: 0 5px;
    }

    #content-part .content .post-part .post-header .universal2,
    #content-part .content .post-part .post-content a{
        width: 60% !important;
    }

    #content-part .content .post-meta{
    margin-bottom: 5px;
    }

    #content-part .content .post-body{
        display: grid;
        gap: 1%;
    }

    #content-part .content .post-body .post-body-left{
        width: auto;
        padding: 5px;
    }

    .pdf-embedder-toolbar-top,
    .pdf-embedder-toolbar-bottom {
        padding: 5px;
        align-items: center;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-right,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-right {
        display: grid;
        gap: 1%;
    }

    .pdf-embedder-toolbar-top button, 
    .pdf-embedder-toolbar-bottom button {
        padding: 2px 5px 0px;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-middle, 
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-middle {
        margin: 0 5px;
    }

    #content-part .content .post-body .post-body-right {
        width: auto;
        padding: 5px;
    }
}

/* ==================== Mobile-Large-Size ==================== */
@media (min-width: 425px) and (max-width: 767.98px) {
    body .sub-body {
        position: relative;
        width: 95%;
    }

    #header-top-part .header-top {
        display: block;
        padding: 5px;
    }

    #header-top-part .header-top .date,
    #header-top-part .header-top .login-panel {
        width: auto;
        text-align: center;
    }

    #header-part {
        margin: 10px 5px 0 5px;
    }

    #header-part .header .institute-name-motto{
        width: 100%;
    }

    #header-part .header .institute-name-motto .institute-name{
        font-size: 35px !important;
        margin-bottom: auto !important;
    }

    #header-part .header .institute-name-motto .institute-motto{
        font-size: 14px !important;
    }

    #header-part .header .institute-eiin-code,
    #homepage-part .homepage .news {
        display: none;
    }

    #header-part .header .logo {
        width: 25%;
    }

    #header-part .header .logo img {
        width: 80% !important;
    }

    #nav-part{
        margin: 0;
    }

    #nav-part .nav {
        display: none;
    }

    #mobile-only-toggler {
        display: block;
        width: 90%;
        padding: 15px 5%;
        position: absolute;
        top: 0;
    }

    #mobileMenuToggle {
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: var(--universal_bg1);;
        text-align: left;
    }

    #mobile-only-toggler .mobile-menu-content.active {
        display: block;
        transition: all 0.3s ease;
        z-index: 1;
    }

    #mobile-only-toggler .mobile-menu-content li {
        width: 100%;
        position: relative;
        border-top: 1px solid rgba(255,255,255,0.1);
    }

    #mobile-only-toggler .mobile-menu-content a {
        display: block;
        padding: 8px 10px;
        color: #ffffff;
    }

    #mobile-only-toggler .mobile-menu-content li ul {
        display: none;
        margin-left: 20px;
    }

    #mobile-only-toggler .mobile-menu-content li.active > ul {
        display: block;
    }

    #mobile-only-toggler .dropdown-toggle {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        padding: 8px 10px;
        color: #ffffff;
        border-left: 1px solid rgba(255,255,255,0.1);
        cursor: pointer;
    }

    #notice-part {
        margin: 10px 5px 0 5px;
    }

    #notice-part .notice {
        display: flex;
        align-items: center;
    }

    #homepage-part .homepage {
        display: grid;
        gap: 1%;
        margin: 10px 5px 0 5px;
    }

    #homepage-part .homepage .head,
    #homepage-part .homepage .slider {
        width: auto;
    }

    #homepage-part .homepage .head-content {
        height: 200px;
    }

    #homepage-part .homepage .head-content .head-image {
        width: 120px;
        height: 120px;
        margin: 10px auto;
    }

    #homepage-part .homepage .head-content .head-designation{
        margin-top: 5px;
    }

    #homepage-part .homepage .slider-content {
        height: 200px;
    }

    #homepage-part .homepage .left-homepage .national-day img {
        width: 75% !important;
    }

    #homepage-part .homepage .left-homepage,
    #homepage-part .homepage .right-homepage,
    #homepage-part .homepage .counter-left-homepage,
    #homepage-part .homepage .counter-right-homepage .teacher, 
    #homepage-part .homepage .counter-right-homepage .staff, 
    #homepage-part .homepage .counter-right-homepage .student, 
    #homepage-part .homepage .counter-right-homepage .building {
        width: auto;
    }

    #homepage-part .homepage .counter-right-homepage {
        width: auto;
        flex-wrap: wrap;
        gap: 2%;
        justify-content: space-between;
    }

    #homepage-part .homepage .counter-right-homepage > div {
        flex: 0 0 49%;
        max-width: 49%;
        box-sizing: border-box;
    }

    #homepage-part .homepage .counter-right-homepage .count {
        height: 120px;
    }

    #footer-part .footer {
        display: grid;
        gap: 1%;
        height: auto;
        padding: 10px 5px 15px 5px;
    }

    #footer-part .footer .institute-visitor-counter,
    #footer-part .footer .google-map,
    #footer-part .footer .contact {
        width: auto;
    }

    #content-part .category-breadcrumb{
        margin: 10px 5px 5px;
    }

    #content-part .content{
        margin: 0 5px;
    }

    #content-part .content .post-part .post-header .universal2,
    #content-part .content .post-part .post-content a{
        width: 60% !important;
    }

    #content-part .content .post-meta{
    margin-bottom: 5px;
    }

    #content-part .content .post-body{
        display: grid;
        gap: 1%;
    }

    #content-part .content .post-body .post-body-left{
        width: auto;
        padding: 5px;
    }

    .pdf-embedder-toolbar-top,
    .pdf-embedder-toolbar-bottom {
        padding: 5px;
        align-items: center;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-right,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-left,
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-right {
        display: grid;
        gap: 1%;
    }

    .pdf-embedder-toolbar-top button, 
    .pdf-embedder-toolbar-bottom button {
        padding: 2px 5px 0px;
    }

    .pdf-embedder-toolbar-top .pdf-embedder-toolbar-middle, 
    .pdf-embedder-toolbar-bottom .pdf-embedder-toolbar-middle {
        margin: 0 5px;
    }

    #content-part .content .post-body .post-body-right {
        width: auto;
        padding: 5px;
    }
}